Bug 1201735 - Katello-debug does not collect installer logs
Summary: Katello-debug does not collect installer logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: jaudet
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-13 11:40 UTC by Eric Helms
Modified: 2017-02-23 20:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:30:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 9530 0 None None None 2016-04-22 14:55:28 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Comment 1 Eric Helms 2015-03-13 11:40:40 UTC
Created from redmine issue http://projects.theforeman.org/issues/9530

Comment 3 Bryan Kearney 2015-03-13 12:05:26 UTC
Upstream bug assigned to lzap@redhat.com

Comment 4 Bryan Kearney 2015-03-13 12:05:27 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/9530 has been closed
-------------
Lukas Zapletal
Applied in changeset commit:katello|c34def9a22545a6ff61487886062589370f9e933.

Comment 7 jaudet 2015-03-24 19:37:32 UTC
Tested against Satellite-6.1.0-RHEL-6-20150320.1 and
Satellite-6.1.0-RHEL-7-20150320.1. 

    $ ssh $hostname ls -d /var/log/{katello,capsule,sam}-installer
    root@satellite.example.com's password:
    /var/log/katello-installer
    ls: cannot access /var/log/capsule-installer: No such file or directory
    ls: cannot access /var/log/sam-installer: No such file or directory
    $ ls -d var/log/{katello,capsule,sam}-installer
    ls: cannot access var/log/capsule-installer: No such file or directory
    ls: cannot access var/log/sam-installer: No such file or directory
    var/log/katello-installer
    $ ssh $hostname ls -d /etc/{katello,capsule,sam}-installer
    root@satellite.example.com's password:
    ls: cannot access /etc/capsule-installer: No such file or directory
    ls: cannot access /etc/sam-installer: No such file or directory
    /etc/katello-installer
    $ ls -d etc/{katello,capsule,sam}-installer
    ls: cannot access etc/capsule-installer: No such file or directory
    ls: cannot access etc/sam-installer: No such file or directory
    etc/katello-installer

For reference:

    $ rpm -qa | grep katello-installer
    katello-installer-2.3.5-1.el6_6sat.noarch
    katello-installer-base-2.3.5-1.el6_6sat.noarch

And:

    $ rpm -qa | grep katello-installer
    katello-installer-base-2.3.5-1.el7sat.noarch
    katello-installer-2.3.5-1.el7sat.noarch

Comment 8 Bryan Kearney 2015-08-11 13:36:22 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:30:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.